Gem install error

Hi There,

Im trying to install vagrant , but I got the error below. Probably it
is an environment issue, Im using MINGW32, WIN XP.
Does anybody know how to solve it?
Thanks!

Pedro

$ gem install vagrant
Building native extensions. This could take a while…
ERROR: Error installing vagrant:
ERROR: Failed to build gem native extension.

c:/Ruby187/bin/ruby.exe extconf.rb
checking for re.h… no
creating Makefile

make
make: *** No rule to make target ruby.h', needed bygenerator.o’.
Stop.

Gem files will remain installed in c:/Ruby187/lib/ruby/gems/1.8/gems/
json-1.5.1
for inspection.
Results logged to c:/Ruby187/lib/ruby/gems/1.8/gems/json-1.5.1/ext/
json/ext/gene
rator/gem_make.out

On Mon, Apr 18, 2011 at 2:42 PM, Pedro [email protected] wrote:

Building native extensions. This could take a while…

Gem files will remain installed in c:/Ruby187/lib/ruby/gems/1.8/gems/
json-1.5.1
for inspection.
Results logged to c:/Ruby187/lib/ruby/gems/1.8/gems/json-1.5.1/ext/
json/ext/gene
rator/gem_make.out

I think MINGW32 is your problem. It looks like you are missing some C
compiler packages from MINGW32 that Vagrant needs to install.

B.

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs